Skip to main content
POST
Cancel a run
Minimum role required: Member

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Path Parameters

run_id
string<uuid>
required

run identifier

Response

OK

Full run record returned by run endpoints.

created_at
string<date-time>
required

Timestamp when the run record was created.

id
string<uuid>
required

Run identifier.

status
enum<string>
required

Current lifecycle state of the run.

Available options:
queued,
running,
completed,
failed,
cancelled
trigger
enum<string>
required

Trigger identifies how the run was initiated.

Available options:
manual,
scheduled,
api
updated_at
string<date-time>
required

Timestamp of the last update to the run record.

user_id
string<uuid>
required

User who initiated the run.

workflow_id
string<uuid>
required

Workflow this run belongs to.

canceled_at
string<date-time>

Timestamp when the run was cancelled.

completed_at
string<date-time>

Timestamp when the run finished.

error_message
string

Error details if the run failed.

phone_id
string

Device executing the run.

run_metadata
object

Arbitrary metadata attached to the run.

session_id
string<uuid>

Session associated with this run.

start_timeout_seconds
integer<int64>

How long the queued run may wait for a phone before auto-cancel.

started_at
string<date-time>

Timestamp when the run began executing.

success
boolean

Whether the run completed without error.

trace_expired_at
string<date-time>

When the trace recording was deleted.

variables
object

Variable configuration used for the run.

video_url
string

URL for the run recording video.

workflow_name
string

Display name of the workflow this run belongs to.